Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.formula
Class RowForumulaContext

    java.lang.Object
      org.pentaho.di.trans.steps.formula.RowForumulaContext

All Implemented Interfaces:
  org.pentaho.reporting.libraries.formula.FormulaContext

    public class RowForumulaContext

extends Object
implements org.pentaho.reporting.libraries.formula.FormulaContext

Constructor Summary
`RowForumulaContext(org.pentaho.di.core.row.RowMetaInterface row)`

Method Summary
`org.pentaho.reporting.libraries.base.config.Configuration` | `getConfiguration()`
`org.pentaho.reporting.libraries.formula.function.FunctionRegistry` | `getFunctionRegistry()`
`org.pentaho.reporting.libraries.formula.LocalizationContext` | `getLocalizationContext()`
`org.pentaho.reporting.libraries.formula.operators.OperatorFactory` | `getOperatorFactory()`
`static Object` | `getPrimitive(org.pentaho.di.core.row.ValueMetaInterface valueMeta, Object valueData)`
`static Class<?>` | `getPrimitiveClass(int valueType)`
`Object[]` | `getRowData()`
`org.pentaho.di.core.row.RowMetaInterface` | `getRowMeta()`
`org.pentaho.reporting.libraries.formula.typing.TypeRegistry` | `getTypeRegistry()`
`boolean` | `isReferenceDirty(Object name)`
`Object` | `resolveReference(Object name)` We return the content of a Value with the given name.
`org.pentaho.reporting.libraries.formula.typing.Type` | `resolveReferenceType(Object name)`
`void` | `setRowData(Object[] rowData)`
`void` | `setRowMeta(org.pentaho.di.core.row.RowMetaInterface rowMeta)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RowForumulaContext

    public RowForumulaContext(org.pentaho.di.core.row.RowMetaInterface row)

Method Detail

### resolveReferenceType

    public org.pentaho.reporting.libraries.formula.typing.Type resolveReferenceType(Object name)
                                                                             throws org.pentaho.reporting.libraries.formula.ContextEvaluationException

  Specified by:
    `resolveReferenceType` in interface `org.pentaho.reporting.libraries.formula.FormulaContext`
  Throws:
    `org.pentaho.reporting.libraries.formula.ContextEvaluationException`

### resolveReference

    public Object resolveReference(Object name)
                            throws org.pentaho.reporting.libraries.formula.ContextEvaluationException

  We return the content of a Value with the given name. We cache the position of the field indexes.

  Specified by:
    `resolveReference` in interface `org.pentaho.reporting.libraries.formula.FormulaContext`
  Throws:
    `org.pentaho.reporting.libraries.formula.ContextEvaluationException`
  See Also:
    `org.jfree.formula.FormulaContext#resolveReference(java.lang.Object)`

### getConfiguration

    public org.pentaho.reporting.libraries.base.config.Configuration getConfiguration()

  Specified by:
    `getConfiguration` in interface `org.pentaho.reporting.libraries.formula.FormulaContext`

### getFunctionRegistry

    public org.pentaho.reporting.libraries.formula.function.FunctionRegistry getFunctionRegistry()

  Specified by:
    `getFunctionRegistry` in interface `org.pentaho.reporting.libraries.formula.FormulaContext`

### getLocalizationContext

    public org.pentaho.reporting.libraries.formula.LocalizationContext getLocalizationContext()

  Specified by:
    `getLocalizationContext` in interface `org.pentaho.reporting.libraries.formula.FormulaContext`

### getOperatorFactory

    public org.pentaho.reporting.libraries.formula.operators.OperatorFactory getOperatorFactory()

  Specified by:
    `getOperatorFactory` in interface `org.pentaho.reporting.libraries.formula.FormulaContext`

### getTypeRegistry

    public org.pentaho.reporting.libraries.formula.typing.TypeRegistry getTypeRegistry()

  Specified by:
    `getTypeRegistry` in interface `org.pentaho.reporting.libraries.formula.FormulaContext`

### isReferenceDirty

    public boolean isReferenceDirty(Object name)
                             throws org.pentaho.reporting.libraries.formula.ContextEvaluationException

  Specified by:
    `isReferenceDirty` in interface `org.pentaho.reporting.libraries.formula.FormulaContext`
  Throws:
    `org.pentaho.reporting.libraries.formula.ContextEvaluationException`

### getRowMeta

    public org.pentaho.di.core.row.RowMetaInterface getRowMeta()

  Returns:
    the row

### setRowMeta

    public void setRowMeta(org.pentaho.di.core.row.RowMetaInterface rowMeta)

  Parameters:
    `rowMeta` - the row to set

### setRowData

    public void setRowData(Object[] rowData)

  Parameters:
    `rowData` - the new row of data to inject

### getRowData

    public Object[] getRowData()

  Returns:
    the current row of data

### getPrimitive

    public static Object getPrimitive(org.pentaho.di.core.row.ValueMetaInterface valueMeta,
                                      Object valueData)
                               throws org.pentaho.di.core.exception.KettleValueException

  Throws:
    `org.pentaho.di.core.exception.KettleValueException`

### getPrimitiveClass

    public static Class<?> getPrimitiveClass(int valueType)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD